<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\admin\ExternalController;
use Illuminate\Foundation\Http\Middleware\ValidateCsrfToken;

Route::middleware(['web', 'cron.token'])
    ->prefix('external-fit')
    ->name('external_fit.')
    ->group(function (): void {
        Route::post('/library', [ExternalController::class, 'library'])
            ->withoutMiddleware([ValidateCsrfToken::class])
            ->name('library');
    });
